Page MenuHomePhabricator

Enable "translation memory" of translate extension on frwiktionary
Closed, ResolvedPublic

Description

The Translate extension has been enable on French Wiktionary few months ago. Could you now enable the feature of "message history". I mean the feature that proposes translations from the older translated messages. Thanks in advance.

Local link of the previous discussion : https://fr.wiktionary.org/wiki/Wiktionnaire:Wikid%C3%A9mie/septembre_2016#Translate

Event Timeline

Pamputt created this task.Nov 6 2016, 11:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 6 2016, 11:53 PM
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptNov 7 2016, 2:32 AM
Arseny1992 renamed this task from Enable "message history" of translate extension to Enable "message history" of translate extension on frwiktionary.Nov 7 2016, 8:38 AM
Nikerabbit renamed this task from Enable "message history" of translate extension on frwiktionary to Enable "translation memory" of translate extension on frwiktionary.Nov 7 2016, 2:28 PM

I believe this entails removing frwiktionary from wmgUseTranslationMemory and running Translate/scripts/ttmserver-export.php.

Change 320352 had a related patch set uploaded (by Arseny1992):
Enable translation memory of Translate for frwiktionary

https://gerrit.wikimedia.org/r/320352

Change 320352 merged by jenkins-bot:
Enable translation memory of Translate for frwiktionary

https://gerrit.wikimedia.org/r/320352

Mentioned in SAL (#wikimedia-operations) [2016-11-14T19:53:24Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:320352|Enable translation memory of Translate for frwiktionary (T150146)]] (duration: 00m 47s)

@Pamputt please confirm if that's what you meant to do and if yes, confirm if it's working as expected

Dereckson reassigned this task from Dereckson to Arseny1992.Nov 16 2016, 6:26 AM
Dereckson added a subscriber: Dereckson.

Reassigning to the change submitter.

I checked the operations log, the script has well been ran:
19:54 <thcipriani> ran: mwscript extensions/Translate/scripts/ttmserver-export.php --wiki=frwiktionary

Dereckson added a comment.EditedNov 16 2016, 6:33 AM

A correct test could be to try to translate a string already translated in the past, and see if a proposition is shown.

Yes it works. Thank you!

Arseny1992 closed this task as Resolved.Nov 16 2016, 8:06 PM